# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.2.6](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-dropdown@1.2.5...@billogram/foundation-dropdown@1.2.6) (2021-06-24)

**Note:** Version bump only for package @billogram/foundation-dropdown



## [1.2.5](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-dropdown@1.2.4...@billogram/foundation-dropdown@1.2.5) (2021-06-17)

**Note:** Version bump only for package @billogram/foundation-dropdown



## [1.2.4](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-dropdown@1.2.3...@billogram/foundation-dropdown@1.2.4) (2021-04-14)

**Note:** Version bump only for package @billogram/foundation-dropdown



## [1.2.3](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-dropdown@1.2.2...@billogram/foundation-dropdown@1.2.3) (2021-03-08)

### Bug Fixes

* Fix chevron position when there is no value ([dc08f8c9](https://github.com/billogram/frontend-foundation/commit/dc08f8c9))



## [1.2.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-dropdown@1.2.1...@billogram/foundation-dropdown@1.2.2) (2021-03-05)

**Note:** Version bump only for package @billogram/foundation-dropdown



## [1.2.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-dropdown@1.2.0...@billogram/foundation-dropdown@1.2.1) (2021-02-04)

### Bug Fixes

* Sync dependency versions ([04decf10](https://github.com/billogram/frontend-foundation/commit/04decf10))



## [1.2.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-dropdown@1.1.0...@billogram/foundation-dropdown@1.2.0) (2021-01-10)

### Bug Fixes

* Use arrow functions for useCallback callbacks ([8ee4239e](https://github.com/billogram/frontend-foundation/commit/8ee4239e))
* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix linting in foundation-dropdown ([b6d5dc69](https://github.com/billogram/frontend-foundation/commit/b6d5dc69))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-dropdown@1.1.0) (2020-02-26)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Make disabled in dropdown options optional ([aeb51594](https://github.com/billogram/frontend-foundation/commit/aeb51594))
* Use div instead of button for dropdown ([7f06fff5](https://github.com/billogram/frontend-foundation/commit/7f06fff5))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Allow anything that be rendered as textSelected ([33e04212](https://github.com/billogram/frontend-foundation/commit/33e04212))
* Improve scrolling experience on mobile Safari ([0a4bf49c](https://github.com/billogram/frontend-foundation/commit/0a4bf49c))
* Workaround for HTML elements that cannot be flex containers ([3e3fe547](https://github.com/billogram/frontend-foundation/commit/3e3fe547))
* Calculate selected option for dropdown ([061722cd](https://github.com/billogram/frontend-foundation/commit/061722cd))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))


### Features

* Implement FoundationCountryDropdown ([180d08ea](https://github.com/billogram/frontend-foundation/commit/180d08ea))
* Add dropdown option type ([9be7b63b](https://github.com/billogram/frontend-foundation/commit/9be7b63b))
* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Implement FoundationDropdown ([b75cf079](https://github.com/billogram/frontend-foundation/commit/b75cf079))
* Scaffold out @billogram/foundation-dropdown ([fef16683](https://github.com/billogram/frontend-foundation/commit/fef16683))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-dropdown@1.0.0) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Make disabled in dropdown options optional ([aeb51594](https://github.com/billogram/frontend-foundation/commit/aeb51594))
* Use div instead of button for dropdown ([7f06fff5](https://github.com/billogram/frontend-foundation/commit/7f06fff5))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Allow anything that be rendered as textSelected ([33e04212](https://github.com/billogram/frontend-foundation/commit/33e04212))
* Improve scrolling experience on mobile Safari ([0a4bf49c](https://github.com/billogram/frontend-foundation/commit/0a4bf49c))
* Workaround for HTML elements that cannot be flex containers ([3e3fe547](https://github.com/billogram/frontend-foundation/commit/3e3fe547))
* Calculate selected option for dropdown ([061722cd](https://github.com/billogram/frontend-foundation/commit/061722cd))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))


### Features

* Add dropdown option type ([9be7b63b](https://github.com/billogram/frontend-foundation/commit/9be7b63b))
* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Implement FoundationDropdown ([b75cf079](https://github.com/billogram/frontend-foundation/commit/b75cf079))
* Scaffold out @billogram/foundation-dropdown ([fef16683](https://github.com/billogram/frontend-foundation/commit/fef16683))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.
