# @billogram/foundation-dropdown

> A React dropdown component

## Install

```
yarn add @billogram/foundation-dropdown
```

## Usage

```tsx
import {
    FoundationDropdown,
} from '@billogram/foundation-dropdown';
```

See [types](src/types.ts) for exported types.

### [`FoundationDropdown`](src/FoundationDropdown.tsx)

```tsx
<FoundationDropdown
    autoFocus={ false }
    disabled={ false }
    emptyText=""
    onChange={ noop }
    options={ [] }
    toggled={ false }
    ui="gray"
    value="" />
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
