import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { getCountries } from '@billogram/countries';
import FoundationDropdown from './FoundationDropdown';
export default function FoundationCountryDropdown(props) {
  var options = getCountries().getSorted().map(function (obj) {
    return {
      text: obj.name,
      value: obj.code
    };
  });
  return /*#__PURE__*/React.createElement(FoundationDropdown, _extends({}, props, {
    options: options
  }));
}
//# sourceMappingURL=FoundationCountryDropdown.js.map