import type React from 'react';
import type { UseDropdownOption } from '@billogram/use-dropdown';
export interface FoundationDropdownChangeHandler {
    (value: string): void;
}
export interface FoundationDropdownListItem extends UseDropdownOption {
    textSelected?: React.ReactNode;
}
export declare type FoundationDropdownUI = 'gray';
export interface FoundationDropdownProps {
    autoFocus?: boolean;
    disabled?: boolean;
    emptyText?: string;
    onChange?: FoundationDropdownChangeHandler;
    options?: readonly FoundationDropdownListItem[];
    toggled?: boolean;
    ui?: FoundationDropdownUI;
    value?: string;
}
export declare type FoundationCountryDropdownProps = Omit<FoundationDropdownProps, 'options'>;
